<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">


		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

		<!-- <link rel="stylesheet" type="text/css" href="index.css"> -->

		<title>Bootstrap Grid System</title>
	</head>
	<body class="text-center">

		<h1>Bootstrap Grid System</h1>

		<!-- 
			C.R.C rule: Declare a Container before Rows and Rows before Columns.

			<main class="container">
				<section class="row">
					<div class="col-6">content 1</div>
					<div class="col-6">content 2</div>
				</section>
			</main>
		 -->

		<h2>Two Columns</h2>
		<div class="container-fluid">
			<h3>1:1 Ratio</h3>

			<div class="text-light row">
				<!-- Bootstrap Grid system is equal sa 12 columns-->
				<div class="bg-primary pt-3 pb-3 border border-dark col-6">.col-6</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">.col-6</div>
			</div>
		</div>

		<div class="container-fluid">
			<h3>1:2 Ratio</h3>
			<!-- Meaning one of the column is twice as big as the other one -->

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">.col-4</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-8">.col-8</div>
			</div>
		</div>

		<h2>Three columns</h2>

		<div class="container-fluid">
			<h3>1:2:1 Ratio</h3>

			 <div class="text-light row">
			 	<div class="bg-secondary pt-3 pb-3 border border-dark col-3">.col-3</div>
			 	<div class="bg-primary pt-3 pb-3 border border-dark col-6">.col-6</div>
			 	<div class="bg-secondary pt-3 pb-3 border border-dark col-3">.col-3</div>
			 </div>

		</div>

		<div class="container-fluid">
			<h3>Uneven Ratio</h3>

			 <div class="text-light row">
			 	<div class="bg-secondary pt-3 pb-3 border border-dark col-3">.col-3</div>
			 	<div class="bg-primary pt-3 pb-3 border border-dark col-7">.col-7</div>
			 	<div class="bg-secondary pt-3 pb-3 border border-dark col-2">.col-2</div>
			 </div>

		</div>

		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			</div>
		</div>

		<!-- 
		CSS BREAKPOINTS:
			sm (default and smartphones) - greater than or equal to 576px
			md (regular ipad/tablet) - greater than or equal to 768px
			lg (desktop/laptop screen) - greater than or equal to 992px
			xl (TV/larger screens) - greater than or equal to 1200px
		 -->

		 <h2>Mobile Responsive Column</h2>
		 <div class="container-fluid">
		 	<div class="text-light row">
		 		<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6">Responsive</div>
		 		<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
		 	</div>
		 </div>

		 <h2>Multi-Column Layouts</h2>
		 <div class="container-fluid">
		 	<div class="text-light row">
		 		<div class="bg-primary pt-3 pb-3 border border-dark col-4">
		 			Catalog 1
		 		</div>
		 		<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
		 			Catalog 2
		 		</div>
		 		<div class="bg-primary pt-3 pb-3 border border-dark col-4">
		 			Catalog 3
		 		</div>
		 		<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
		 			Catalog 4
		 		</div>
		 		<div class="bg-primary pt-3 pb-3 border border-dark col-4">
		 			Catalog 5
		 		</div>
		 		<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
		 			Catalog 6
		 		</div>
		 	</div>
		 	
		 </div>

		 <h2>Offsetting Columns</h2>
		 <!-- 
			- "offset" class it allows to create a specified amount of space from the left side of a layer

		  -->
		 <div class="container-fluid">
		 	<div class="text-light row">
		 		<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column 2</div>
		 		<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column md-3</div>
		 		<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column lg-4</div>
		 	</div>
		 </div>

		 <!-- 
			- The "order-" class allows us to interchange the order in which elements are displayed.
		  -->

		 <h2>Column Orders</h2>
		 <div class="container-fluid">
		 	<div class="text-light row">
		 		<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
		 		<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
		 	</div>
		 </div>

		<!-- Bootstrap Script -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

	</body>
</html>
